package com.fusi24.entryPermitScanner.data.entity;

public class APIError {

    private int statusCode;
    private String message;
    private String refNumber;

    public APIError(int statusCode, String message, String refNumber){
        this.statusCode = statusCode;
        this.message = message;
        this.refNumber = refNumber;
    }

    public int getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getRefNumber() {
        return refNumber;
    }

    public void setRefNumber(String refNumber) {
        this.refNumber = refNumber;
    }

    @Override
    public String toString() {
        return "APIError{" +
                "statusCode=" + statusCode +
                ", message='" + message + '\'' +
                ", refNumber='" + refNumber + '\'' +
                '}';
    }
}
